petsc-3.15.0 2021-03-30
Report Typos and Errors

# VecViennaCLGetCLMemRead

Provides access to the the CL buffer inside a Vec.

### Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecViennaCLGetCLMemRead(Vec v, PETSC_UINTPTR_T* mem)

Caller should cast (*mem) to (const cl_mem). Caller is responsible for invoking clReleaseMemObject().

### Input Parameters

| v | - the vector

### Output Parameters

| mem | - pointer to the device buffer

### See Also

VecViennaCLGetCLContext(), VecViennaCLGetCLMemWrite()

### Level

intermediate

### Location

src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages